Permalink
Browse files

Merge pull request #1734 from sibprogrammer/feature-control-min-version

Ability to contol the minimal MySQL version via config.
  • Loading branch information...
lem9 committed Jun 15, 2015
2 parents 9acf488 + d384a6b commit cebb2a51402d8b7f5b2f9e4cfbffdfbe61e2fa10
Showing with 13 additions and 2 deletions.
  1. +2 −2 libraries/common.inc.php
  2. +11 −0 libraries/config.default.php
View
@@ -1027,10 +1027,10 @@
/* Log success */
PMA_logUser($cfg['Server']['user']);
if (PMA_MYSQL_INT_VERSION < 50500) {
if (PMA_MYSQL_INT_VERSION < $cfg['MysqlMinVersion']['internal']) {
PMA_fatalError(
__('You should upgrade to %s %s or later.'),
array('MySQL', '5.5.0')
array('MySQL', $cfg['MysqlMinVersion']['human'])
);
}
@@ -3065,4 +3065,15 @@
*/
$cfg['ShowGitRevision'] = true;
/**
* MySQL minimal version required
*
* @global array $cfg['MysqlMinVersion']
*/
$cfg['MysqlMinVersion'] = array(
'internal' => 50500,
'human' => '5.5.0'
);
?>

0 comments on commit cebb2a5

Please sign in to comment.